HORIZON-POOL(1)

NAME
horizon-pool - Creates and edits items in the horizon EDA pool

SYNOPSIS
horizon-pool create-unit <unit file> | edit-unit <unit file> | create-symbol <symbol file> <unit file> | create-entity <entity file> [ <unit file> ... ] | edit-entity <entity file> | create-package <package file> | create-padstack <padstack file> | update

DESCRIPTION
This manual page documents the horizon-pool command.

horizon-pool can be used to create and edit items in the pool.

Most of the -edit and -create commands will spawn $EDITOR with the file to be edited serialized as YAML.

Remember to run horizon-pool update after creating things

OPTIONS
Details of options are included below.

create-unit <unit file>

edit-unit <unit file>

create-symbol <symbol file> <unit file>

create-entity <entity file> [ <unit file> ... ]

edit-entity <entity file>

create-package <package file>

create-padstack <padstack file>

update

USAGE
There is normally no need to run this command directly, as the horizon-pool-mgr interface will do these tasks.

ENVIRONMENT
This command requires the environment variable HORIZON_POOL to point to the pool's directory (the one with the pool.json and pool.db in it)